package main

import (
	"fmt"
	"github.com/PuerkitoBio/goquery"
	"log"
	"net/http"
)

func main() {
	db := openDatabase()
	defer db.Close()

	resp, err := http.Get("https://vivaplus.tv/supporters/sign_in")
	if err != nil {
		log.Fatalf("error getting sign in page: %v", err)
	}
	defer resp.Body.Close()

	doc, err := goquery.NewDocumentFromReader(resp.Body)
	if err != nil {
		log.Fatalf("error parsing sign in page: %v", err)
	}

	doc.Find("meta[name='csrf-token']").Each(func(i int, s *goquery.Selection) {
		fmt.Println(s.Attr("content"))
	})

	//username := os.Getenv("VIVAPLUS_USER")
	//password, err := base64.StdEncoding.DecodeString(os.Getenv("VIVAPLUS_PASS"))
	//if err != nil {
	//	log.Fatalf("error decoding password: %v", err)
	//}
	//
	//form := url.Values{}
	//form.Set("email", username)
	//form.Set("password", string(password))
	//
	//// First fetch csrf token by doing a get. It is found in a meta tag with name="csrf-token"
	//
	//resp, err := http.Post("https://vivaplus.tv/supporters/sign_in", "application/x-www-form-urlencoded;charset=UTF-8", strings.NewReader(form.Encode()))
	//if err != nil {
	//	log.Fatalf("error logging in: %v", err)
	//}
	//
	//log.Printf("Status code: %d", resp.StatusCode)
	////println(resp)
}
